@import "../../style/variables";

.row_button {
    display: flex;
    width: 100%;
    border: 1px solid $gray;
    margin-top: 0.5rem;
    background-color: white;
    border-radius: $border-radius;
    color: $dark;
    cursor: pointer;
    text-decoration: none;
    transition: $transition-base;
    user-select: none;

    &:hover {
        background-color: $light;
        color: $dark;
    }

    &.row-button-arrow {
        &::after {
            align-self: center;
            margin-right: 1rem;
            margin-left: auto;
            content: "❯";
            user-select: none;
        }
    }

    .row_button-icon {
        width: 60px;
        flex-shrink: 0;
        padding: 0.75rem 1rem;
        cursor: pointer;
        user-select: none;

        img {
            display: block;
            width: 100%;
            height: 100%;
        }
    }

    .row-button-content {
        padding: 1rem 0;
    }
}